/* 
*
*  ProLinga-Validate
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Validate.
*
*  ProLinga-Validate is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Validate is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Validate.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#ifndef __VAL_ERROR_HPP
#define __VAL_ERROR_HPP


char errorValSeverity[3][10] = {"Ok", "Warning", "Error"};

struct errorVal
{       int errorNo;
	int severity;
	char description[80];
} errorTable30000[] = {	
			{ 30000, 0, "No Error" },
			{ 30001, 2, "Error parsing document" },
			{ 30002, 2, "Empty document" },
			{ 30003, 2, "Invalid root element" },
			{ 30004, 2, "Invalid validate XML file" },
			{ 30005, 1, "No document match" },
			{ 30006, 1, "Document not found" },
			{ 30007, 1, "Document already deleted" },
			{ 30008, 2, "Can not parse return string" },
			{ 30009, 2, "Can not write document to repository" },
			{ 30010, 2, "Contains Validate Errors" },
			{ 30011, 2, "Invalid object document layout" },
			{ 30012, 1, "Object does not need to be validated" }
};


xmlDocPtr ValCreateErrorDoc(void);

#endif  /* __VAL_ERROR_HPP */

